#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-IWhyrgfsfQC2rqwsD2GitP
key:                  lsp-1.2.0.0-IWhyrgfsfQC2rqwsD2GitP
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  da5e538b75f1ed3b46fc4f1183541989
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-IWhyrgfsfQC2rqwsD2GitP
depends:
    aeson-1.5.6.0-9o8y4QVT0ed6zIp89KPO7i
    async-2.2.3-IhTi4VeJesa5W1nGjaCoJA
    attoparsec-0.14.1-5l1cFZrGW545rXZu8IvVx4 base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn
    dependent-map-0.4.0.0-98TSAwHCyqj1xg0cVZeZsE directory-1.3.6.1
    filepath-1.4.2.1 hashable-1.3.2.0-GcuYQ7tqoHiC8dylGWZgv9
    hslogger-1.3.1.0-KRWUZMhlCJDVG4blsb26E
    lens-5.0.1-8BjofPyhl39GhYn8lDfGmL
    lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh mtl-2.2.2
    network-uri-2.6.4.1-HkoRuB3ykvaLxStim29dr5
    random-1.2.0-FfulI1BwpsjGO0LPW59p9g
    scientific-0.3.7.0-5hvDwJjYepI8lm5LPJmAV5
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-GZb439Gbt7L1ozynZzbOaU
    uuid-1.3.15-EWPxdBWmhFPEnaiUquxw9t

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

